Bug Hunting Session
Bug 95798 - CRASH: when finish Function wizard on Report builder
Summary: CRASH: when finish Function wizard on Report builder
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Base (show other bugs)
Version:
(earliest affected)
5.1.0.0.alpha1
Hardware: All Linux (All)
: high major
Assignee: Julien Nabet
URL:
Whiteboard: target:5.1.0
Keywords: haveBacktrace, regression
Depends on:
Blocks:
 
Reported: 2015-11-13 14:33 UTC by sawakaze
Modified: 2016-10-25 19:19 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Report builder Function wizard Screen Capture (91.84 KB, image/png)
2015-11-13 14:33 UTC, sawakaze
Details
How to open function wizard in Report Builder(Screen capture) (138.25 KB, image/png)
2015-11-15 09:37 UTC, sawakaze
Details
bt with debug symbols (15.51 KB, text/plain)
2015-11-15 10:09 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description sawakaze 2015-11-13 14:33:46 UTC
Created attachment 120523 [details]
Report builder Function wizard Screen Capture

Hi,

After press "OK" or "Cancel" button On Report builder Function wizard, LibreOffice is crashed.
Attachment is Report builder Function wizard Screen Capture.


Confirmed version
Version: 5.1.0.0.alpha1+
Build ID: c337c48f9f5018ecfe48fa1c6649cd0c80620fa5
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2015-11-07_00:36:3


info: 
On version 4.4.5.2, it is not crashed.

 
Regards,
Sawakaze.
Comment 1 Alex Thurgood 2015-11-14 07:59:34 UTC
No crash for me on

Version: 5.1.0.0.alpha1+
Build ID: 6105812d67ce5369ff3a1b9690f2bc333a17e44d
Locale : fr-FR (fr.UTF-8)

OSX 10.11.1 

My laster build is more recent than the one you tested (mine is from 12/11/2015).
Comment 2 Robert Großkopf 2015-11-14 09:11:11 UTC
Could confirm the buggy behavior with
Version: 5.1.0.0.alpha1+
Build ID: b58be9e8f983d1d0ca10a6ebe903c9a6482cefdd
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2015-11-14_00:35:50
Locale: de-DE (de_DE.UTF-8)
(OpenSUSE 13.2 64bit rpm Linux)

Open the function wizard by typing on the button with three point → press cancel → crash of LO and recovery is working.
Comment 3 Julien Nabet 2015-11-14 21:23:47 UTC
I didn't find Function Wizard in Base/Report so I gave a try on Calc and had a crash just when launching it (see tdf#95824).
Comment 4 sawakaze 2015-11-15 09:36:01 UTC
Hi, Julien

User can open Function Wizard in Report builder from pressing Property > General > Conditional Print Expression > ... button.

(ScreenCapture is attachment "open_function_wizard_report_builder.png".)

Regards,
Sawakaze.
Comment 5 sawakaze 2015-11-15 09:37:48 UTC
Created attachment 120551 [details]
How to open function wizard in Report Builder(Screen capture)
Comment 6 Julien Nabet 2015-11-15 10:09:16 UTC
Created attachment 120552 [details]
bt with debug symbols

Thank you Sawakaze for your help.
I could reproduce the crash and attached a bt.
Comment 7 Julien Nabet 2015-11-15 10:37:06 UTC
I submitted a patch for master sources to review:
https://gerrit.libreoffice.org/#/c/19970/
Comment 8 Julien Nabet 2015-11-15 15:47:48 UTC
Thank you Lionel for the review.
Let's put this one to FIXED then.
Comment 9 Commit Notification 2015-11-15 15:47:58 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=44aa71792bace19bfee54ccf95126ca964fabccf

tdf#95798: CRASH: when finish Function wizard on Report builder

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.